Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlExtendedDataTable

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.ajax4jsf.component.SequenceDataAdaptor
                          org.richfaces.component.UIDataTable
                              org.richfaces.component.UIExtendedDataTable
                                  org.richfaces.component.html.HtmlExtendedDataTable

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder, org.richfaces.component.Filterable, org.richfaces.component.Selectable, org.richfaces.component.Sortable2

    public class HtmlExtendedDataTable

extends UIExtendedDataTable

Nested Class Summary

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UIExtendedDataTable
`state`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlExtendedDataTable()`

Method Summary
`java.lang.String` | `getActiveClass()`
`java.lang.Object` | `getActiveRowKey()`
`java.lang.String` | `getAlign()`
`java.lang.String` | `getBgcolor()`
`java.lang.String` | `getBorder()`
`java.lang.String` | `getCaptionClass()`
`java.lang.String` | `getCaptionStyle()`
`java.lang.String` | `getCellpadding()`
`java.lang.String` | `getCellspacing()`
`java.lang.String` | `getColumnClasses()`
`java.lang.String` | `getDir()`
`java.lang.Boolean` | `getEnableContextMenu()`
`java.lang.String` | `getFamily()`
`java.util.List` | `getFilterFields()`
`java.lang.String` | `getFooterClass()`
`java.lang.String` | `getFrame()`
`java.lang.String` | `getGroupingColumn()`
`java.lang.String` | `getHeaderClass()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getNoDataLabel()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnRowClick()`
`java.lang.String` | `getOnRowDblClick()`
`java.lang.String` | `getOnRowMouseDown()`
`java.lang.String` | `getOnRowMouseMove()`
`java.lang.String` | `getOnRowMouseOut()`
`java.lang.String` | `getOnRowMouseOver()`
`java.lang.String` | `getOnRowMouseUp()`
`java.lang.String` | `getOnselectionchange()`
`java.lang.Object` | `getReRender()`
`java.lang.String` | `getRowClasses()`
`java.lang.String` | `getRules()`
`java.lang.String` | `getSelectedClass()`
`org.richfaces.model.selection.Selection` | `getSelection()`
`java.lang.String` | `getSelectionMode()`
`java.util.List` | `getSortFields()`
`java.lang.String` | `getSortMode()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.Object` | `getSummary()`
`java.lang.String` | `getTableState()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getWidth()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setActiveClass(java.lang.String _activeClass)`
`void` | `setActiveRowKey(java.lang.Object _activeRowKey)`
`void` | `setAlign(java.lang.String _align)`
`void` | `setBgcolor(java.lang.String _bgcolor)`
`void` | `setBorder(java.lang.String _border)`
`void` | `setCaptionClass(java.lang.String _captionClass)`
`void` | `setCaptionStyle(java.lang.String _captionStyle)`
`void` | `setCellpadding(java.lang.String _cellpadding)`
`void` | `setCellspacing(java.lang.String _cellspacing)`
`void` | `setColumnClasses(java.lang.String _columnClasses)`
`void` | `setDir(java.lang.String _dir)`
`void` | `setEnableContextMenu(java.lang.Boolean _enableContextMenu)`
`void` | `setFilterFields(java.util.List _filterFields)`
`void` | `setFooterClass(java.lang.String _footerClass)`
`void` | `setFrame(java.lang.String _frame)`
`void` | `setGroupingColumn(java.lang.String _groupingColumn)`
`void` | `setHeaderClass(java.lang.String _headerClass)`
`void` | `setHeight(java.lang.String _height)`
`void` | `setLang(java.lang.String _lang)`
`void` | `setNoDataLabel(java.lang.String _noDataLabel)`
`void` | `setOnclick(java.lang.String _onclick)`
`void` | `setOndblclick(java.lang.String _ondblclick)`
`void` | `setOnkeydown(java.lang.String _onkeydown)`
`void` | `setOnkeypress(java.lang.String _onkeypress)`
`void` | `setOnkeyup(java.lang.String _onkeyup)`
`void` | `setOnmousedown(java.lang.String _onmousedown)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setOnmouseup(java.lang.String _onmouseup)`
`void` | `setOnRowClick(java.lang.String _onRowClick)`
`void` | `setOnRowDblClick(java.lang.String _onRowDblClick)`
`void` | `setOnRowMouseDown(java.lang.String _onRowMouseDown)`
`void` | `setOnRowMouseMove(java.lang.String _onRowMouseMove)`
`void` | `setOnRowMouseOut(java.lang.String _onRowMouseOut)`
`void` | `setOnRowMouseOver(java.lang.String _onRowMouseOver)`
`void` | `setOnRowMouseUp(java.lang.String _onRowMouseUp)`
`void` | `setOnselectionchange(java.lang.String _onselectionchange)`
`void` | `setReRender(java.lang.Object _reRender)`
`void` | `setRowClasses(java.lang.String _rowClasses)`
`void` | `setRules(java.lang.String _rules)`
`void` | `setSelectedClass(java.lang.String _selectedClass)`
`void` | `setSelection(org.richfaces.model.selection.Selection _selection)`
`void` | `setSelectionMode(java.lang.String _selectionMode)`
`void` | `setSortFields(java.util.List _sortFields)`
`void` | `setSortMode(java.lang.String _sortMode)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setSummary(java.lang.Object _summary)`
`void` | `setTableState(java.lang.String _tableState)`
`void` | `setTitle(java.lang.String _title)`
`void` | `setWidth(java.lang.String _width)`

Methods inherited from class org.richfaces.component.UIExtendedDataTable
`beforeRenderResponse, broadcast, createDataModel, disableGrouping, fixedChildren, getChildColumns, getColumnSize, getGroupByColumn, getGroupByColumnId, getGroupPriority, getSortedChildren, getSortedColumns, getState, getVisibleColumnsCount, groupIsExpanded, isColumnVisible, isGroupingOn, processChangeColumnVisibility, processColumnResize, processDradDrop, processFilteringChange, processSortingChange, processUpdates, queueEvent, resetDataModel, resetGroupVisibilityState, setGroupByColumn, toggleGroup, updateTableState`

Methods inherited from class org.richfaces.component.UIDataTable
`columns, dataChildren, getSortPriority, setSortPriority`

Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor
`createComponentState, getDataModel, setDataModel`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addAjaxKeyEvent, addRequestKey, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, extractKeySegment, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyConverter, getRowKeyVar, getStateVar, getValue, invocableChildren, invokeOnComponent, isRowAvailable, iterate, keepSaved, processDecodes, processDecodes, processUpdates, processValidators, processValidators, removeRequestKey, resetComponent, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, setValue, walk`

Methods inherited from class javax.faces.component.UIData
`getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlExtendedDataTable

    public HtmlExtendedDataTable()

Method Detail

### getActiveClass

    public java.lang.String getActiveClass()

### setActiveClass

    public void setActiveClass(java.lang.String _activeClass)

### getActiveRowKey

    public java.lang.Object getActiveRowKey()

  Specified by:
    `getActiveRowKey` in class `UIExtendedDataTable`

### setActiveRowKey

    public void setActiveRowKey(java.lang.Object _activeRowKey)

  Specified by:
    `setActiveRowKey` in class `UIExtendedDataTable`

### getAlign

    public java.lang.String getAlign()

### setAlign

    public void setAlign(java.lang.String _align)

### getBgcolor

    public java.lang.String getBgcolor()

### setBgcolor

    public void setBgcolor(java.lang.String _bgcolor)

### getBorder

    public java.lang.String getBorder()

### setBorder

    public void setBorder(java.lang.String _border)

### getCaptionClass

    public java.lang.String getCaptionClass()

### setCaptionClass

    public void setCaptionClass(java.lang.String _captionClass)

### getCaptionStyle

    public java.lang.String getCaptionStyle()

### setCaptionStyle

    public void setCaptionStyle(java.lang.String _captionStyle)

### getCellpadding

    public java.lang.String getCellpadding()

### setCellpadding

    public void setCellpadding(java.lang.String _cellpadding)

### getCellspacing

    public java.lang.String getCellspacing()

### setCellspacing

    public void setCellspacing(java.lang.String _cellspacing)

### getColumnClasses

    public java.lang.String getColumnClasses()

### setColumnClasses

    public void setColumnClasses(java.lang.String _columnClasses)

### getDir

    public java.lang.String getDir()

### setDir

    public void setDir(java.lang.String _dir)

### getEnableContextMenu

    public java.lang.Boolean getEnableContextMenu()

### setEnableContextMenu

    public void setEnableContextMenu(java.lang.Boolean _enableContextMenu)

### getFilterFields

    public java.util.List getFilterFields()

### setFilterFields

    public void setFilterFields(java.util.List _filterFields)

### getFooterClass

    public java.lang.String getFooterClass()

### setFooterClass

    public void setFooterClass(java.lang.String _footerClass)

### getFrame

    public java.lang.String getFrame()

### setFrame

    public void setFrame(java.lang.String _frame)

### getGroupingColumn

    public java.lang.String getGroupingColumn()

  Specified by:
    `getGroupingColumn` in class `UIExtendedDataTable`

### setGroupingColumn

    public void setGroupingColumn(java.lang.String _groupingColumn)

  Specified by:
    `setGroupingColumn` in class `UIExtendedDataTable`

### getHeaderClass

    public java.lang.String getHeaderClass()

### setHeaderClass

    public void setHeaderClass(java.lang.String _headerClass)

### getHeight

    public java.lang.String getHeight()

### setHeight

    public void setHeight(java.lang.String _height)

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String _lang)

### getNoDataLabel

    public java.lang.String getNoDataLabel()

### setNoDataLabel

    public void setNoDataLabel(java.lang.String _noDataLabel)

### getOnRowClick

    public java.lang.String getOnRowClick()

### setOnRowClick

    public void setOnRowClick(java.lang.String _onRowClick)

### getOnRowDblClick

    public java.lang.String getOnRowDblClick()

### setOnRowDblClick

    public void setOnRowDblClick(java.lang.String _onRowDblClick)

### getOnRowMouseDown

    public java.lang.String getOnRowMouseDown()

### setOnRowMouseDown

    public void setOnRowMouseDown(java.lang.String _onRowMouseDown)

### getOnRowMouseMove

    public java.lang.String getOnRowMouseMove()

### setOnRowMouseMove

    public void setOnRowMouseMove(java.lang.String _onRowMouseMove)

### getOnRowMouseOut

    public java.lang.String getOnRowMouseOut()

### setOnRowMouseOut

    public void setOnRowMouseOut(java.lang.String _onRowMouseOut)

### getOnRowMouseOver

    public java.lang.String getOnRowMouseOver()

### setOnRowMouseOver

    public void setOnRowMouseOver(java.lang.String _onRowMouseOver)

### getOnRowMouseUp

    public java.lang.String getOnRowMouseUp()

### setOnRowMouseUp

    public void setOnRowMouseUp(java.lang.String _onRowMouseUp)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String _onclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String _ondblclick)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String _onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String _onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String _onkeyup)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String _onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String _onmouseup)

### getOnselectionchange

    public java.lang.String getOnselectionchange()

### setOnselectionchange

    public void setOnselectionchange(java.lang.String _onselectionchange)

### getReRender

    public java.lang.Object getReRender()

### setReRender

    public void setReRender(java.lang.Object _reRender)

### getRowClasses

    public java.lang.String getRowClasses()

### setRowClasses

    public void setRowClasses(java.lang.String _rowClasses)

### getRules

    public java.lang.String getRules()

### setRules

    public void setRules(java.lang.String _rules)

### getSelectedClass

    public java.lang.String getSelectedClass()

### setSelectedClass

    public void setSelectedClass(java.lang.String _selectedClass)

### getSelection

    public org.richfaces.model.selection.Selection getSelection()

### setSelection

    public void setSelection(org.richfaces.model.selection.Selection _selection)

### getSelectionMode

    public java.lang.String getSelectionMode()

### setSelectionMode

    public void setSelectionMode(java.lang.String _selectionMode)

### getSortFields

    public java.util.List getSortFields()

### setSortFields

    public void setSortFields(java.util.List _sortFields)

### getSortMode

    public java.lang.String getSortMode()

  Specified by:
    `getSortMode` in class `UIDataTable`

### setSortMode

    public void setSortMode(java.lang.String _sortMode)

  Specified by:
    `setSortMode` in class `UIDataTable`

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String _style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

### getSummary

    public java.lang.Object getSummary()

### setSummary

    public void setSummary(java.lang.Object _summary)

### getTableState

    public java.lang.String getTableState()

  Specified by:
    `getTableState` in class `UIExtendedDataTable`

### setTableState

    public void setTableState(java.lang.String _tableState)

  Specified by:
    `setTableState` in class `UIExtendedDataTable`

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String _title)

### getWidth

    public java.lang.String getWidth()

### setWidth

    public void setWidth(java.lang.String _width)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIData`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIDataTable`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIDataTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.